package main;

import ea.Game;
import main.HUD.HUD;
import main.worlds.TestWorld;
import main.worlds.World;

/**
 * Von hier wird alles initialisiert. Das ist die höchste Klasse.
 */
public class Main extends Game {

	public static Main instance;

	private World world;
	private HUD hud;

	public Main() {
		super(World.SCALE * 15, World.SCALE * 11, 16);
		instance = this;

		// Welt initialisieren und Spieler hinzufügen und die Welt zu EA hinzufügen
		world = new TestWorld();
		manager.anmelden(world.getPlayer(), 20);
		world.start();
		wurzel.add(world);
		hud = new HUD();
		wurzel.add(hud);
	}

	@Override
	public void tasteReagieren(int code) {
	}

	public World getWorld() {
		return world;
	}
}
